Package com.usatiuk.dhfs.peertrust

# Class CertificateTools

java.lang.Object
com.usatiuk.dhfs.peertrust.CertificateTools

public class CertificateTools extends Object

## Constructor Summary

Constructors
Constructor
Description
`CertificateTools()`

## Method Summary

Modifier and Type
Method
Description
`static X509Certificate`
`certFromBytes(byte[] bytes)`
`static X509Certificate`
`generateCertificate(KeyPair keyPair, String subject)`
`static KeyPair`
`generateKeyPair()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CertificateTools

public CertificateTools()

## Method Details

### certFromBytes

public static X509Certificate certFromBytes(byte[] bytes)

### generateKeyPair

public static KeyPair generateKeyPair()

### generateCertificate

public static X509Certificate generateCertificate(KeyPair keyPair, String subject)